Qr codes

List QR codes

GET
/qr-codes

Lists QR codes created by the key's user, newest first.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key from Settings → API keys, sent as Authorization: Bearer ezqr_…. Requires the Max plan.

Query Parameters

limit?integer

Page size, up to 100

Range1 <= value <= 100
Default50
offset?integer

Number of codes to skip

Range0 <= value
Default0
type?string

Only return static or dynamic codes

Value in"static""dynamic"

Response Body

A page of QR codes

application/json
  1. response
data*array<>
total*integer
limit*integer
offset*integer
curl -X GET 'https://ez-qr.com/api/v1/qr-codes'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "type": "static",      "contentType": "string",      "content": "string",      "targetUrl": "string",      "shortCode": "string",      "style": {},      "isActive": true,      "totalScans": 0,      "scheduledStart": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}